RevRepContent (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmp

## Class RevRepContent

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.RevRepContent

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class RevRepContent
      extends ASN1Object

       RevRepContent ::= SEQUENCE {
                status       SEQUENCE SIZE (1..MAX) OF PKIStatusInfo,
                -- in same order as was sent in RevReqContent
                revCerts [0] SEQUENCE SIZE (1..MAX) OF CertId
                                                    OPTIONAL,
                -- IDs for which revocation was requested
                -- (same order as status)
                crls     [1] SEQUENCE SIZE (1..MAX) OF CertificateList OPTIONAL
                -- the resulting CRLs (there may be more than one)
            }

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertificateList[]` | `getCrls()`
    `static RevRepContent` | `getInstance(java.lang.Object o)`
    `CertId[]` | `getRevCerts()`
    `PKIStatusInfo[]` | `getStatus()`
    `ASN1Primitive` | `toASN1Primitive()` RevRepContent ::= SEQUENCE { status SEQUENCE SIZE (1..MAX) OF PKIStatusInfo, -- in same order as was sent in RevReqContent revCerts [0] SEQUENCE SIZE (1..MAX) OF CertId OPTIONAL, -- IDs for which revocation was requested -- (same order as status) crls [1] SEQUENCE SIZE (1..MAX) OF CertificateList OPTIONAL -- the resulting CRLs (there may be more than one) }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static RevRepContent getInstance(java.lang.Object o)

    - #### getStatus

          public PKIStatusInfo[] getStatus()

    - #### getRevCerts

          public CertId[] getRevCerts()

    - #### getCrls

          public CertificateList[] getCrls()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           RevRepContent ::= SEQUENCE {
                  status       SEQUENCE SIZE (1..MAX) OF PKIStatusInfo,
                  -- in same order as was sent in RevReqContent
                  revCerts [0] SEQUENCE SIZE (1..MAX) OF CertId OPTIONAL,
                  -- IDs for which revocation was requested
                  -- (same order as status)
                  crls     [1] SEQUENCE SIZE (1..MAX) OF CertificateList OPTIONAL
                  -- the resulting CRLs (there may be more than one)
             }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.